Package ru.bitel.bgbilling.kernel.network.flow

# Class IPFIXArray

java.lang.Object
ru.bitel.bgbilling.kernel.network.flow.FlowArray<IPFIXRecord>
ru.bitel.bgbilling.kernel.network.flow.IPFIXArray

All Implemented Interfaces:
  `Netflow9Processor`

public class IPFIXArray extends FlowArray<IPFIXRecord> implements Netflow9Processor
Разобранные flow пакета IPFIX версии 10. Формат: http://www.cisco.com/en/US/technologies/tk648/tk362/technologies_white_paper09186a00800a3db9.html

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.flow.FlowArray

  `array, size`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IPFIXArray(int size)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`
  `final int`
  `next(ByteBuffer readBuffer, ConcurrentMap<Integer,NetFlow9Template> templates)`
  `static int`
  `next(ByteBuffer readBuffer, ConcurrentMap<Integer,NetFlow9Template> templates, Netflow9Processor processor)`
  `final boolean`
  `parsePacket(ByteBuffer readBuffer, long millis, ConcurrentMap<Integer,NetFlow9Template> templates)`
  Разбор NetFlow дайтаграммы.
  `void`
  `process(ByteBuffer readBuffer, int offset, long millis, NetFlow9Template template)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPFIXArray

    public IPFIXArray(int size)

- ## Method Details

  - ### parsePacket

    public final boolean parsePacket(ByteBuffer readBuffer, long millis, ConcurrentMap<Integer,NetFlow9Template> templates)
    Разбор NetFlow дайтаграммы.
    Parameters:
      `readBuffer` - буфер чтения.

  - ### next

    public final int next(ByteBuffer readBuffer, ConcurrentMap<Integer,NetFlow9Template> templates) throws Exception
    Throws:
      `Exception`

  - ### process

    public void process(ByteBuffer readBuffer, int offset, long millis, NetFlow9Template template)
    Specified by:
      `process` in interface `Netflow9Processor`

  - ### next

    public static int next(ByteBuffer readBuffer, ConcurrentMap<Integer,NetFlow9Template> templates, Netflow9Processor processor) throws Exception
    Throws:
      `Exception`

  - ### main

    public static void main(String[] args)